Subject: [alpine-aports] [PATCH] testing/ocamlbuild: new aport

From: Jon Ong <[email-masked]>
Date: Thu, 7 Jul 2016 23:42:45 +0800

https://github.com/ocaml/ocamlbuild
Generic build tool with built-in rules for building OCaml library and programs.
---
 testing/ocamlbuild/APKBUILD | 35 +++++++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)
 create mode 100644 testing/ocamlbuild/APKBUILD

diff --git a/testing/ocamlbuild/APKBUILD b/testing/ocamlbuild/APKBUILD
new file mode 100644
index 0000000..66a0919
--- /dev/null
+++ b/testing/ocamlbuild/APKBUILD
@@ -0,0 +1,35 @@
+# Contributor: Jon Ong <[email-masked]>
+# Maintainer:
+pkgname=ocamlbuild
+pkgver=0.9.2
+pkgrel=0
+pkgdesc="Generic build tool with built-in rules for building OCaml library and programs."
+url="https://github.com/ocaml/ocamlbuild"
+arch="all"
+license="GPL2"
+depends="ncurses"
+makedepends="ocaml"
+options=""
+install=""
+subpackages=""
+
+source="${pkgname}-${pkgver}.tar.gz::https://github.com/ocaml/ocamlbuild/archive/${pkgver}.tar.gz"
+
+builddir="$srcdir/$pkgname-$pkgver"
+build() {
+	cd "$builddir"
+
+	make configure OCAML_NATIVE=true \
+		OCAMLBUILD_BINDIR="/usr/bin" \
+		OCAMLBUILD_LIBDIR="/usr/lib/ocaml" || return 1
+	make || return 1
+}
+
+package() {
+	cd "$builddir"
+
+	make DESTDIR="$pkgdir" install
+}
+md5sums="b8c90bac4e54e3b5b8243c4845122dd2  ocamlbuild-0.9.2.tar.gz"
+sha256sums="257a3961da1aa47deb3de8da238ebe1daf13a73efef2228f97a064a90f91c6bc  ocamlbuild-0.9.2.tar.gz"
+sha512sums="6f6fa2ca0030256b61a9f93275f26327a032594a1ddd288e1eb9f4c41dfc139e4cdb6cd66ae8e383dd2f8aabb435181abfbf6b4aa0892ef6fa420c29e33b391a  ocamlbuild-0.9.2.tar.gz"
-- 
2.8.2

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---